# 獲取定投列表

`GET` `/v1/dailycoins/query`

:::warning 僅支援 Longbridge 香港 / 新加坡賬戶
此方法僅支援 Longbridge 香港 / 新加坡賬戶，可操作任意標的，包括美股。
:::

獲取當前用戶的所有定投（DCA）計劃。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `status` | string | No | 按計劃狀態篩選：`Active`、`Suspended`、`Finished`。 |
| `symbol` | string | No | 按標的代碼篩選，如 `AAPL.US`。 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/dailycoins/query' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `plans` | object[] | Yes | 定投計劃列表， |
| `└ plan_id` | string | Yes | 定投計劃 ID |
| `└ symbol` | string | Yes | 證券代碼 |
| `└ stock_name` | string | No | 標的名稱 |
| `└ market` | string | No | 市場 |
| `└ status` | string | No | 計劃狀態：`Active`（進行中）、`Suspended`（已暫停）、`Finished`（已結束） |
| `└ per_invest_amount` | string | No | 每次投入金額 |
| `└ invest_frequency` | string | No | 投資頻率：`Daily`、`Weekly`、`Fortnightly`、`Monthly` |
| `└ invest_day_of_week` | string | No | 每週扣款日 |
| `└ invest_day_of_month` | string | No | 每月扣款日 |
| `└ next_trd_date` | string | No | 下次交易日 |
| `└ cum_amount` | string | No | 累計投入金額 |
| `└ cum_profit` | string | No | 累計盈虧 |
| `└ average_cost` | string | No | 平均持倉成本 |
| `└ allow_margin_finance` | boolean | No | 是否允許融資 |
| `└ alter_hours` | string | No | 提前提醒小時數 |
| `└ display_account` | string | No | 賬戶顯示名稱 |
| `└ account_channel` | string | No | 賬戶渠道 |
| `└ aaid` | string | No | 賬戶資產 ID |
| `└ member_id` | string | No | 用戶 ID |
| `└ issue_number` | string | No | 已執行次數 |
| `└ created_at` | string | No | 創建時間 |
| `└ updated_at` | string | No | 最後更新時間 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "plans": [
      {
        "plan_id": "1239402174908207104",
        "symbol": "AAPL.US",
        "stock_name": "Apple Inc.",
        "market": "US",
        "status": "Active",
        "per_invest_amount": "100",
        "invest_frequency": "Monthly",
        "invest_day_of_month": "15",
        "invest_day_of_week": "",
        "next_trd_date": "1778853600",
        "cum_amount": "0",
        "cum_profit": "0",
        "average_cost": "0",
        "allow_margin_finance": false,
        "alter_hours": "6",
        "display_account": "LBPT10065023",
        "member_id": "3162",
        "aaid": "20975338",
        "account_channel": "lb_papertrading",
        "issue_number": 0,
        "created_at": "1778725628",
        "updated_at": "1778725628"
      }
    ]
  }
}
```
